Planetside Software Forums

Support => Terragen Support => Topic started by: archonforest on March 17, 2016, 10:51:36 am

Title: 3.4 error?
Post by: archonforest on March 17, 2016, 10:51:36 am
I got this never seen error today:
Exception caught in juRenderNode::FinishRender Render 01

Ohh..and it gets more. See attached. After TG crashed down fully. Project was not saved :-X
Title: Re: 3.4 error?
Post by: archonforest on March 17, 2016, 12:15:48 pm
I think it is just a not enough memory issue...
My gardening scene is getting filled with objects and using a 32bit win xp now.... :-\
Title: Re: 3.4 error?
Post by: Oshyan on March 17, 2016, 06:32:52 pm
That particular error message is actually the fix for what would previously have sometimes been a crash in the populator, I believe. So you can generally ignore it.

- Oshyan
Title: Re: 3.4 error?
Post by: archonforest on March 18, 2016, 01:59:30 pm
Got it.
Now I got another interesting error that u might want to know.

See first picture. There is a population in the middle of the picture. All looks okay and exactly what i wanted. Plants in a line one after the next.
Now see the second picture.
I moved the pops closer to the road (that is a population of very small rocks) and re-populated it but some plants got deleted. See red circles.
What is happening here? 
Title: Re: 3.4 error?
Post by: Matt on March 18, 2016, 04:39:28 pm
Quote from: Oshyan on March 17, 2016, 06:32:52 pm
That particular error message is actually the fix for what would previously have sometimes been a crash in the populator, I believe. So you can generally ignore it.

- Oshyan


You're thinking of a different error, and the public builds don't report it anyway.

Matt
Title: Re: 3.4 error?
Post by: Matt on March 18, 2016, 04:46:25 pm
Quote from: archonforest on March 17, 2016, 12:15:48 pm
I think it is just a not enough memory issue...
My gardening scene is getting filled with objects and using a 32bit win xp now.... :-\


Yeah, usually these errors are caused by running out of memory, which is easier to do on a 32-bit OS.

Matt
Title: Re: 3.4 error?
Post by: Dune on March 19, 2016, 03:50:52 am
Archonforest: if you move the pop the instances may change, even though the seed is the same. If you want a really straight line it's sometimes even better to have the pop float! But only if the ground they're sitting on is level. You have to adjust the height of the object to fit it to ground then.
Title: Re: 3.4 error?
Post by: archonforest on March 20, 2016, 08:34:09 am
Quote from: Dune on March 19, 2016, 03:50:52 am
Archonforest: if you move the pop the instances may change, even though the seed is the same. If you want a really straight line it's sometimes even better to have the pop float! But only if the ground they're sitting on is level. You have to adjust the height of the object to fit it to ground then.


wow great! Thnx for the solution!